Bug 16080 - Remove unused images from the staff client
Summary: Remove unused images from the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 16020 16023 16025 16027 16032 16043 16045 16046 16059 16071 16206 16241
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-15 16:25 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16080 - Remove unused images from the staff client (102.06 KB, patch)
2016-04-22 15:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16080 [Revised] Remove unused images from the staff client (102.85 KB, patch)
2016-04-27 16:56 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16080 [Revised] Remove unused images from the staff client (102.99 KB, patch)
2016-04-27 18:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 16080 [Revised] Remove unused images from the staff client (103.04 KB, patch)
2016-04-28 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-15 16:25:48 UTC
I've identified quite a few images which are no longer used or will be made obsolete by bugs identified as dependencies here:

koha-tmpl/intranet-tmpl/prog/img/cart.gif
koha-tmpl/intranet-tmpl/prog/img/checkall.gif
koha-tmpl/intranet-tmpl/prog/img/clear-field.png
koha-tmpl/intranet-tmpl/prog/img/clone-field.png
koha-tmpl/intranet-tmpl/prog/img/dropshadow-alpha.png
koha-tmpl/intranet-tmpl/prog/img/dropshadow-mask.gif
koha-tmpl/intranet-tmpl/prog/img/dropshadow.gif
koha-tmpl/intranet-tmpl/prog/img/glyphicons-halflings-koha.png
koha-tmpl/intranet-tmpl/prog/img/glyphicons-halflings-white-koha.png
koha-tmpl/intranet-tmpl/prog/img/more-arrow.gif
koha-tmpl/intranet-tmpl/prog/img/more-up-arrow.gif
koha-tmpl/intranet-tmpl/prog/img/more.gif
koha-tmpl/intranet-tmpl/prog/img/print-confirm.gif
koha-tmpl/intranet-tmpl/prog/img/regularDay.jpg
koha-tmpl/intranet-tmpl/prog/img/regularHoliday.jpg
koha-tmpl/intranet-tmpl/prog/img/repeatable.jpg
koha-tmpl/intranet-tmpl/prog/img/search-audio-books.gif
koha-tmpl/intranet-tmpl/prog/img/search-books.gif
koha-tmpl/intranet-tmpl/prog/img/search-kids.gif
koha-tmpl/intranet-tmpl/prog/img/search-large-print.gif
koha-tmpl/intranet-tmpl/prog/img/search-local-history.gif
koha-tmpl/intranet-tmpl/prog/img/search-movies.gif
koha-tmpl/intranet-tmpl/prog/img/search-music.gif
koha-tmpl/intranet-tmpl/prog/img/search-reference.gif
koha-tmpl/intranet-tmpl/prog/img/search-software-web.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-add-to-shelf.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-delete.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-duplicate.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-edit.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-hold.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-new.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-orders.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-password.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-print.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-receive.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-renew.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-save.gif
koha-tmpl/intranet-tmpl/prog/img/toolbar-search.gif
Comment 1 Owen Leonard 2016-04-22 15:29:32 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-22 18:51:21 UTC
Testing on top of Bug 16241:

git grep glyphicons-halflings-koha.png
koha-tmpl/intranet-tmpl/prog/en/modules/circ/offline-mf.tt  (line 28)
The file contains more references, e.g. cart-small.gif (not in list in this patch)

All others in list are OK
Comment 3 Owen Leonard 2016-04-27 16:56:24 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2016-04-27 18:40:09 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2016-04-28 10:27:33 UTC
Created attachment 50893 [details] [review]
[PASSED QA] Bug 16080 [Revised] Remove unused images from the staff client

This patch removes images from the staff client templates which are no
longer used.

To test you must (as of 2016-04-22) apply the patch for Bug 16241.

Apply the patch and search for references in the Koha code to
the removed images. You should find none.

The staff client CSS file has been updated to remove obsolete references
to image files. These old styles were made obsolete by the switch to
Font Awesome icons.

Revision removes reference to glyphicons-halflings-koha.png from
circ/offline-mf.tt

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
On top of Bug 16241
No reference of deleted files (only on PO files but that will be fixed later)
No errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Kyle M Hall 2016-04-29 13:57:40 UTC
Pushed to master for the 16.05 release. Thanks Owen!